using System;
using System.IO;
using System.Xml;
using System.Xml.Xsl;
using System.Xml.XPath;
using System.Windows.Forms;

namespace Support_pedagogique_numerique
{
	/// <summary>
	/// Description résumée de Class1.
	/// </summary>
	class gen2
	{
		public static void regenerer()
		{
			try
			{
				XmlDocument xDoc;

				// Variables

				xDoc = new XmlDocument();
				XPathNavigator nav;
				XslTransform xslt = new XslTransform();
				

				// Création du fichier index.htm
				
				xDoc.Load(Config.index_docbook);
				nav = xDoc.CreateNavigator();
				xslt = new XslTransform();
				xslt.Load("htmlindex.xsl");
				StreamWriter sw1 = new StreamWriter(Config.index_htm);
				xslt.Transform(nav, null, sw1, new XmlUrlResolver());
				sw1.Flush();
				sw1.Close();
			}
			catch(Exception e)
			{
				MessageBox.Show("Erreur lors de la création du fichier index.htm");
				Application.Exit();
			}
		}
	}
}
